resources:
  - ../base
commonLabels:
  environment: beta
nameSuffix: -beta
namespace: barretthousen-beta

patchesStrategicMerge:
  - sync-cronjob.yaml
  - catalog-secret.yaml
  - proxy-admin-secret.yaml
  - proxy-client-secret.yaml
  - runner-secret.yaml

patches:
  - target:
      kind: Ingress
      name: admin
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: beta.admin.barretthousen.com
  - target:
      kind: Ingress
      name: web
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: beta.barretthousen.com
  - target:
      kind: Deployment
      name: catalog
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-catalog:beta
  - target:
      kind: Deployment
      name: runner
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-runner:beta

  - target:
      kind: Deployment
      name: proxy-admin
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-proxy-admin:beta
  - target:
      kind: Deployment
      name: admin-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/client-admin-client:beta
      - op: replace
        path: /spec/template/spec/containers/0/env/0/value
        value: https://beta.admin.barretthousen.com

  - target:
      kind: Deployment
      name: proxy-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-proxy-client:beta
  - target:
      kind: Deployment
      name: web-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/client-web-client:beta
      - op: replace
        path: /spec/template/spec/containers/0/env/0/value
        value: https://beta.barretthousen.com
